> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/bare-metal-instance/inquirypriceinstancetrafficpackage.md).

# InquiryPriceInstanceTrafficPackage

## 1. API Description

This API (InquiryPriceInstanceTrafficPackage) is used to query the price of modified instance traffic package.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Use this API only when</mark> [<mark style="color:purple;">`InternetChargeType`</mark>](/api-reference/compute/bmc/datastructure.md#internetchargetype) <mark style="color:blue;">is</mark> <mark style="color:blue;">`ByTrafficPackage.`</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name     | Required | Type   | Description                                                                                                                  |
| ------------------ | -------- | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| instanceId         | Yes      | String | <p>Instance ID.</p><p>To obtain the instance ID, you can call DescribeInstances and look for instanceId in the response.</p> |
| trafficPackageSize | Yes      | Float  | <p>Traffic package size.</p><p>The value must be a multiple of 0.05.</p><p>Value range: \[0.0, +)</p>                        |

## 3. Output Parameters

| Parameter Name      | Type                                                                        | Description                                                                                                                                                    |
| ------------------- | --------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| requestId           | String                                                                      | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                          |
| trafficPackagePrice | Array of [PriceItem](/api-reference/compute/bmc/datastructure.md#priceitem) | <p>Price of traffic package.</p><p>Kinds of prices may exist. For example, traffic package billing method may contain the package price and overage price.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the price of modified instance traffic package**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceInstanceTrafficPackage
<Common Request Params>

Request：
{
  "instanceId": "instanceId",
  "trafficPackageSize": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "trafficPackagePrice": [
      {
        "discount": 95.0,
        "discountPrice": 7524.0,
        "originalPrice": 7920.0,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": null
      },
      {
        "discount": 100.0,
        "discountPrice": null,
        "originalPrice": null,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": [
          {
            "stepStart": 0.0,
            "stepEnd": null,
            "unitPrice": 0.08,
            "discountUnitPrice": 0.08
          }
        ]
      }
    ]
  }
} 
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                              | Description                                                                                                              |
| ---------------- | ------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| 400              | INVALID\_PARAMETER\_TRAFFIC\_PACKAGE\_ERROR             | Traffic package parameter validation error. Invalid value, which must be a multiple of 0.05.                             |
| 403              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | The specified [InternetChargeType](/api-reference/compute/bmc/datastructure.md#internetchargetype) is not `ByBandwidth`. |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                           | Instance does not exist.                                                                                                 |
| 400              | INVALID\_PARAMETER\_TRAFFIC\_PACKAGE\_EXCEED            | Traffic package parameter exceeds upper limit.                                                                           |
| 400              | INVALID\_INSTANCE\_TYPE\_ZONE\_NO\_SELL                 | Traffic package of the specified instance is not currently available for sale.                                           |
